package emporer.domain.session;

/**
 * Each user has a unique user session.
 */
public class UserSession {
	private Integer userId;
	
	private Integer sessionId;
	
	/**
	 * Constructor for UserSession.
	 * @param userId Integer
	 * @param sessionId Integer
	 */
	public UserSession(Integer userId, Integer sessionId) {
		this.userId = userId;
		this.sessionId = sessionId;
	}
	
	/**
	 * Method getUserId.
	 * @return Integer 
	 */
	public Integer getUserId() {
		return userId;
	}
	
	/**
	 * Method setUserId.
	 * @param id Integer
	 */
	public void setUserId(Integer id) {
		this.userId = id;
	}
	
	/**
	 * Method getSessionId.
	 * @return Integer 
	 */
	public Integer getSessionId() {
		return sessionId;
	}
	
	/**
	 * Method toString.
	 * @return String 
	 */
	public String toString() {
		return "User Session";
	}
}
