package emporer.server.user;

import emporer.domain.User;
import emporer.server.user.test.MockUserDao;

public class UserModel {
	
	private UserDao userDao;
	
	public UserModel() {
		userDao = new MockUserDao();
	}
	
	public User validateLogin(final String username, final String password) {
		return userDao.validateLogin(username, password);
	}
	
	public User registerUser(final String email, final String firstName, final String lastName, final String password) {
        User user = new User();
        user.setEmail(email);
        user.setNameFirst(firstName);
        user.setNameLast(lastName);

		return userDao.registerUser(user, password);
	}
	
	public User getUser(final Integer userId) {
		return userDao.getUser(userId);
	}

}
